The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

include.inc error

Discussion in 'General Discussion' started by jasons, Nov 10, 2004.

  1. jasons

    jasons Registered

    Joined:
    Mar 24, 2004
    Messages:
    3
    Likes Received:
    0
    Trophy Points:
    1
    After upgrading PHP users get the following error:

    "Fatal error: main(): Failed opening required 'include.inc' (include_path='.:/usr/lib/php:/usr/local/lib/php')"

    This page worked prior to the upgrade, but afterwards it has stopped. The include.inc file seems to be missing from the above directories.
    What could have caused this?
     
  2. ricardom

    ricardom Active Member

    Joined:
    Mar 10, 2004
    Messages:
    31
    Likes Received:
    0
    Trophy Points:
    6
    cpanel mess

    After a upgrade of php this happens to me to, but after a lot of tries, i found one that fix for me:

    Open the php.ini:
    Code:
    $ pico /usr/local/lib/php.ini
    Localize the line that shows the include dir and, comment the old and put this one:
    Code:
    include_path    =      "/usr/local/lib/php:/usr/lib/php:/usr/local/cpanel/3rdparty/lib/php/:./"
    Restart the httpd:
    Code:
    /etc/init.d/httpd restart
    If does not fix, try find others php.ini, maybe yours is not the /usr/local/lib/php.ini, and try again.

    Hope this help you.
     
Loading...

Share This Page